Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.lather
Class TopNSendReport_args

    java.lang.Object
      org.hyperic.lather.LatherValue
          org.hyperic.hq.bizapp.shared.lather.SecureAgentLatherValue
              org.hyperic.hq.bizapp.shared.lather.TopNSendReport_args

    public class TopNSendReport_args

extends SecureAgentLatherValue

Field Summary
`static String` | `TOP_REPORTS`

Constructor Summary
`TopNSendReport_args()`

Method Summary
`List<org.hyperic.hq.plugin.system.TopReport>` | `getTopReports()`
`void` | `setTopReports(List<org.hyperic.hq.plugin.system.TopReport> topReports)`
`String` | `toString()`

Methods inherited from class org.hyperic.hq.bizapp.shared.lather.SecureAgentLatherValue
`getAgentToken, setAgentToken, validate`

Methods inherited from class org.hyperic.lather.LatherValue
`addByteAToList, addDoubleToList, addIntToList, addObject, addObjectToList, addStringToList, getByteAList, getByteALists, getByteAVals, getByteAValue, getDoubleList, getDoubleLists, getDoubleVals, getDoubleValue, getIntList, getIntLists, getIntVals, getIntValue, getLongVals, getLongValue, getObject, getObjectList, getObjectLists, getObjectVals, getObjectValue, getSerializableMap, getStringList, getStringLists, getStringVals, getStringValue, setByteAValue, setDoubleValue, setIntValue, setLongValue, setObjectValue, setStringValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TOP_REPORTS

    public static String TOP_REPORTS

Constructor Detail

### TopNSendReport_args

    public TopNSendReport_args()

Method Detail

### getTopReports

    public List<org.hyperic.hq.plugin.system.TopReport> getTopReports()

### setTopReports

    public void setTopReports(List<org.hyperic.hq.plugin.system.TopReport> topReports)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.